clang-tools 10.0.0

Namespaces | Functions
Format.h File Reference
`#include "Protocol.h"`
`#include "clang/Format/Format.h"`
`#include "clang/Tooling/Core/Replacement.h"`
`#include "llvm/ADT/StringRef.h"`
Include dependency graph for Format.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
std::vector< tooling::Replacement > | clang::clangd::formatIncremental (llvm::StringRef Code, unsigned Cursor, llvm::StringRef InsertedText, format::FormatStyle Style)
| Applies limited formatting around new `InsertedText`. More...
unsigned | clang::clangd::transformCursorPosition (unsigned Offset, const std::vector< tooling::Replacement > &Replacements)
| Determine the new cursor position after applying `Replacements`. More...